For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Note object
          • GET/notes
          • POST/notes
          • GET/notes/{id}
          • GET/notes/meta/post
          • GET/notes/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsNotes

/notes/{id}

GET
/crm/v1/notes/:id
GET
/api/crm/v1/notes/:id
$curl -G https://api.merge.dev/api/crm/v1/notes/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=owner,contact,account,opportunity
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
7 "content": "Merge is hiring!",
8 "contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
9 "account": "fba1fbc6-67c0-4cb2-a176-7896acd2ffd5",
10 "opportunity": "754a244e-dd67-4731-a8d3-9bff9dc10465",
11 "remote_updated_at": "2022-02-10T00:00:00Z",
12 "remote_created_at": "2021-11-10T00:00:00Z",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/notes",
25 "data": null
26 }
27 ],
28 "remote_fields": [
29 {
30 "remote_field_class": {
31 "id": "string",
32 "display_name": "string",
33 "remote_key_name": "string",
34 "description": "string",
35 "is_custom": true,
36 "is_common_model_field": true,
37 "is_required": true,
38 "field_type": "string",
39 "field_format": "string",
40 "field_choices": [
41 "string"
42 ],
43 "item_schema": {
44 "item_type": "string",
45 "item_format": "string",
46 "item_choices": [
47 "string"
48 ]
49 }
50 },
51 "value": "string"
52 }
53 ]
54}

Returns a Note object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/notes

Next

/notes/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
ownerstring or nullformat: "uuid"
The note's owner.
contentstring or null
The note's content.
contactstring or nullformat: "uuid"
The note's contact.
accountstring or nullformat: "uuid"
The note's account.
opportunitystring or nullformat: "uuid"
The note's opportunity.
remote_updated_atdatetime or null
When the third party's lead was updated.
remote_created_atdatetime or null
When the third party's lead was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only